Skip to main content
POST
/
v2
/
salesOrders
/
{salesOrderId}
/
lineitems
Create Sales Order Line Item
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/lineitems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
[
  {
    "variants": [
      {
        "extraWeight": 123,
        "name": "<string>",
        "surchargeNet": 123,
        "value": "<string>",
        "itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
      }
    ],
    "billOfMaterialsType": 0,
    "configurationItemType": 0,
    "discount": 123,
    "fNSKU": "<string>",
    "lineItemType": 0,
    "name": "<string>",
    "note": "<string>",
    "parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "purchasePriceNet": 123,
    "quantity": 123,
    "salesPriceNet": 123,
    "salesUnit": "<string>",
    "sKU": "<string>",
    "taxRate": 123,
    "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
  }
]
'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "variants": [
      {
        "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "extraWeight": 123,
        "name": "<string>",
        "surchargeNet": 123,
        "value": "<string>",
        "itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
        "itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
      }
    ],
    "billOfMaterialsType": 0,
    "configurationItemType": 0,
    "discount": 123,
    "fNSKU": "<string>",
    "lineItemType": 0,
    "name": "<string>",
    "note": "<string>",
    "parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "purchasePriceNet": 123,
    "quantity": 123,
    "salesPriceNet": 123,
    "salesUnit": "<string>",
    "sKU": "<string>",
    "taxRate": 123,
    "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The line items to create.

variants
object[]

List of SalesOrderLineItemVariant

billOfMaterialsType
enum<integer>

The SalesOrderLineItem BillOfMaterialsType

Available options:
0,
1,
2
configurationItemType
enum<integer>

The SalesOrderLineItem ConfigurationItemType

Available options:
0,
1,
2
discount
number<decimal>

The discount of the line item.

fNSKU
string

The SalesOrderLineItem FNSKU

lineItemType
enum<integer>

The SalesOrderLineItem LineItemType

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
name
string

Name of the position.

note
string

The SalesOrderLineItem Note

parentSalesOrderLineItemId
string<uuid>

The SalesOrderLineItem ParentSalesOrderLineItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

purchasePriceNet
number<decimal>

The purchase price of the item.

quantity
number<decimal>

The quantity of the line item.

salesPriceNet
number<decimal>

The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

salesUnit
string

The sales unit of the line item.

sKU
string

SKU of the sales order line item.

taxRate
number<decimal>

The tax rate of the line item.

itemId
string<uuid>

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

taxClassId
string<uuid>

The SalesOrderLineItem TaxClassId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

taxCodeId
string<uuid>

The SalesOrderLineItem TaxCodeId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The created line items.

id
string<uuid>

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

variants
object[]

List of SalesOrderLineItemVariant

billOfMaterialsType
enum<integer>

The SalesOrderLineItem BillOfMaterialsType

Available options:
0,
1,
2
configurationItemType
enum<integer>

The SalesOrderLineItem ConfigurationItemType

Available options:
0,
1,
2
discount
number<decimal>

The discount of the line item.

fNSKU
string

The SalesOrderLineItem FNSKU

lineItemType
enum<integer>

The SalesOrderLineItem LineItemType

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
name
string

Name of the position.

note
string

The SalesOrderLineItem Note

parentSalesOrderLineItemId
string<uuid>

The SalesOrderLineItem ParentSalesOrderLineItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

purchasePriceNet
number<decimal>

The purchase price of the item.

quantity
number<decimal>

The quantity of the line item.

salesPriceNet
number<decimal>

The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

salesUnit
string

The sales unit of the line item.

sKU
string

SKU of the sales order line item.

taxRate
number<decimal>

The tax rate of the line item.

itemId
string<uuid>

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

taxClassId
string<uuid>

The SalesOrderLineItem TaxClassId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

taxCodeId
string<uuid>

The SalesOrderLineItem TaxCodeId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"